window.Gleam.initSearch([{"doc":"dotenv_gleam","title":"dotenv_gleam","content":"# gleam_dotenv\n\n[![Package Version](https://img.shields.io/hexpm/v/dotenv)](https://hex.pm/packages/dotenv_gleam)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dotenv_gleam/)\n\nSimilar to [Node](https://www.npmjs.com/package/dotenv) dotenv and [Ruby](https://github.com/bkeepers/dotenv) dotenv\n\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add dotenv\n```\n\nthen in your code:\n\n```gleam\n\nimport dotenv_gleam\nimport gleam/erlang/os // do not forget to add gleam_erlang to the project\n\npub fn main() {\n  dotenv_gleam.config() // this should load .env file\n\n  let assert Ok(test) = os.get_env(&quot;TEST&quot;)\n  let assert Ok(bar) = os.get_env(&quot;BAR&quot;)\n\n}\n\n// or you can specify the path to the .env file\n\npub fn main() {\n  dotenv_gleam.config_with(&quot;path/to/.env&quot;) // this should load .env file\n\n  let assert Ok(test) = os.get_env(&quot;TEST&quot;)\n  let assert Ok(bar) = os.get_env(&quot;BAR&quot;)\n}\n\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/dotenv_gleam&gt;.\n","url":"index.html"},{"doc":"dotenv_gleam","title":"config","content":"pub fn config() -&gt; Nil\n Tries to load environment variables from a `.env` file in the current\n working directory.\n this function calls for assert to make sure that the file is read.\n if for some reason the file is not there will crash the program.\n\n ## Examples\n\n \n &gt; config()\n &gt; os.get_env(&quot;TEST&quot;)\n &quot;test&quot;\n \nSynonyms:\ndotenv_gleam.config\ndotenv_gleam config","url":"dotenv_gleam.html#config"},{"doc":"dotenv_gleam","title":"config_with","content":"pub fn config_with(file: String) -&gt; Nil\n Tries to load environment variables from a file specified in the current\n working directory.\n this function calls for assert to make sure that the file is read.\n if for some reason the file is not there will crash the program.\n\n ## Examples\n\n \n &gt; config_with(&quot;path/to/.env&quot;)\n &gt; os.get_env(&quot;TEST&quot;)\n &quot;test&quot;\n \nSynonyms:\ndotenv_gleam.config_with\ndotenv_gleam config_with","url":"dotenv_gleam.html#config_with"},{"doc":"dotenv_gleam","title":"dotenv_gleam","content":"","url":"dotenv_gleam.html"}]);